[ Maverik Level 1 functions ]

#

mav_paletteTextureEnvPaletteSet

## Summary

Set a palette's texture environment function.

## Syntax

void mav_paletteTextureEnvPaletteSet(MAV_palette *p, MAV_texEnvFn fn);

- MAV_palette *p
  Palette.

- MAV_texEnvFn fn
  Texture environment function.

## Description

This function sets the texture environment function for all the entries in palette `p`. The texture environment function controls the way textures are rendered (blend, decal, modulate or lit). Note that the setting can be overridden on a per-texture basis using mav_paletteTextureEnvSet.

## See also

mav_paletteTextureEnvSet.

Back to the index page.